# Uses of Class
org.apache.lucene.util.AttributeSource.State

Packages that use AttributeSource.State
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of AttributeSource.State in org.apache.lucene.util

  Methods in org.apache.lucene.util that return AttributeSource.State
  Modifier and Type
  Method
  Description
  `final AttributeSource.State`
  AttributeSource.`captureState()`
  Captures the state of all Attributes.
  `AttributeSource.State`
  AttributeSource.State.`clone()`
  Methods in org.apache.lucene.util with parameters of type AttributeSource.State
  Modifier and Type
  Method
  Description
  `final void`
  AttributeSource.`restoreState(AttributeSource.State state)`
  Restores this state by copying the values of all attribute implementations that this state contains into the attributes implementations of the targetStream.